Subject: RE: Profile negotiation?

From: "Rosen, Brian" <[email-masked]>
Date: Mon, 30 Apr 2001 17:51:00 -0400

If we were adding error codes, I'd add one for this specific reason
Error 9xx - Incompatible Versions

> -----Original Message-----
> From: Paul Long [mailto:[email-masked]]
> Sent: Monday, April 30, 2001 4:12 PM
> To: [email-masked]
> Subject: RE: Profile negotiation?
> 
> 
> Brian,
> 
> Okay, so for lack of more precise codepoints, the MG might 
> send something
> like this if it doesn't support the profile specified by the MGC:
> 
> MEGACO/1 [123.123.123.4]
> Transaction = 9999 {
>     Context = - {
>         ServiceChange = ROOT {
>             Services {
>                 Method=Forced,
>                 Reason= 905,  ; "Termination taken out of service"
>             }
>         }
>     }
> }
> 
> Do you think this would be the most appropriate behavior for 
> this situation?
> I think the "Forced" method would be appropriate, but if we 
> were to add a
> reason, I suppose it would look something like this:
> 
> 916 - "MG taken out of service"
> 
> Paul Long
> ipDialog, Inc.
> 
> -----Original Message-----
> From: Rosen, Brian [mailto:[email-masked]]
> Sent: Tuesday, April 24, 2001 7:06 AM
> To: 'Paul Long'; [email-masked]
> Subject: RE: Profile negotiation?
> 
> 
> If the MG doesn't know, and can't deal with NotTheIPphone, then it
> drops the control association.  It would be nice to have a 
> reason/method
> for this.
> 
> In general, the kind of "negotiation" we expected was that the MG
> implemented
> version 3 of some profile, the MGC only implemented Version 
> 2, but the MG
> was willing
> to downrev.  Still, if it couldn't, it still ought to tell 
> the MGC it was
> going
> away, and why.
> 
> Brian
> 
> > -----Original Message-----
> > From: Paul Long [mailto:[email-masked]]
> > Sent: Monday, April 23, 2001 4:50 PM
> > To: [email-masked]
> > Subject: Profile negotiation?
> >
> >
> > Regarding the following, how does one "negotiate the
> > profile?" Let's say
> > that the MG's ServiceChange request indicates the "IPPhone"
> > profile and the
> > MGC's response indicates the "NotTheIPPhone" profile. How 
> does the MG
> > indicate that it supports and accepts this profile, and,
> > conversely, that it
> > rejects this profile?
> >
> > 7.2.8/H.248: "The return from ServiceChange is empty except
> > when the Root
> > terminationID is used.  In that case it includes the
> > following parameters as
> > required: [...] · ServiceChangeProfile, if the responder
> > wishes to negotiate
> > the profile to be used for the association;"
> >
> > Paul Long
> > ipDialog, Inc.
> >
>